JUnitOptions (Gradle API 5.1)

Package org.gradle.api.tasks.testing.junit

## Class JUnitOptions

- java.lang.Object
- - org.gradle.api.tasks.testing.TestFrameworkOptions
  - - org.gradle.api.tasks.testing.junit.JUnitOptions

-     public class JUnitOptions
      extends TestFrameworkOptions

  The JUnit specific test options.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JUnitOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JUnitOptions` | `excludeCategories​(String... excludeCategories)` |
    `Set<String>` | `getExcludeCategories()` | The set of categories to exclude.
    `Set<String>` | `getIncludeCategories()` | The set of categories to run.
    `JUnitOptions` | `includeCategories​(String... includeCategories)` |
    `void` | `setExcludeCategories​(Set<String> excludeCategories)` | The set of categories to exclude.
    `void` | `setIncludeCategories​(Set<String> includeCategories)` | The set of categories to run.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JUnitOptions

          public JUnitOptions()

  - ### Method Detail

    - #### includeCategories

          public JUnitOptions includeCategories​(String... includeCategories)

    - #### excludeCategories

          public JUnitOptions excludeCategories​(String... excludeCategories)

    - #### getIncludeCategories

          @Input
          public Set<String> getIncludeCategories()

      The set of categories to run.

    - #### setIncludeCategories

          public void setIncludeCategories​(Set<String> includeCategories)

      The set of categories to run.

    - #### getExcludeCategories

          @Input
          public Set<String> getExcludeCategories()

      The set of categories to exclude.

    - #### setExcludeCategories

          public void setExcludeCategories​(Set<String> excludeCategories)

      The set of categories to exclude.